package tcra.exercises.q3_mystery_private;

import java.util.*;
import tcra.math.*;

public class Q3MysteryExercise_PreMystery4Assertion implements
      Assertion
{
   public Q3MysteryExercise_PreMystery4Assertion() {}

   @SuppressWarnings("unchecked")
   public boolean check(List<MathType> t)
   {
      MathString<MathType> lb_self = (MathString<MathType>)t.get(0);
      MathString<MathType> lb_b = (MathString<MathType>)t.get(1);
      
      return(lb_self.length() == lb_b.length());
   } // end check(List)
   
   public String toString()
   {
	  return("|#self| == |#b|;");
   } // end toString()

   @SuppressWarnings("unchecked")
   public String toInstanceString(List<MathType> t)
   {
	  MathString<MathType> lb_self = (MathString<MathType>)t.get(0);
      MathString<MathType> lb_b = (MathString<MathType>)t.get(1);
      
	  return("|"+lb_self.toHTMLString()+"| == |"+lb_b.toHTMLString()+"|;");
   } // end toInstanceString(List)
} // end class
